import request from '@/plugin/axios'
//查询列表
export function getWorkPatternList (data) {
  return request({
    url: '/doorMode/getDoorWorkModeByPage',
    method: 'post',
    data
  })
}
// 新增修改
export function saveOrUpdateWorkPattern (data) {
  return request({
    url: '/doorMode/saveOrUpdWorkMode',
    method: 'post',
    data
  })
}
// 编辑回显
export function  getWorkPatternById (data) {
  return request({
    url: '/doorMode/getDoorWorkModeById',
    method: 'post',
    data
  })
}
// 删除
export function onDeleteWorkPattern (data) {
  return request({
    url: '/doorMode/deleteDoorWorkModeById',
    method: 'post',
    data
  })
}